// JavaScript Document
function viewItem(categoryId, itemId) {
	var URL = "view_cb_item.php?categoryId=" + categoryId + "&itemId=" + itemId;
	var width = 700;
	var height = 500;
	var left = (screen.width - width) / 2
	var top = (screen.height - height) / 2
	winPopup = window.open(URL, "", "left=" + left + ",top=" + top + ",height=" + height + ",width=" + width + ",scrollbars=1,directories=0,location=0,menubar=0,resizable=1,status=0,titlebar=0,toolbar=0");
}

function syncCategories() {
	if (confirm("Categories synchronization process might take several minutes to complete.\n\nClick OK to proceed.")) {
		var URL = "cb_sync_categories_frame.php";
		var width = 700;
		var height = 450;
		var left = (screen.width - width) / 2
		var top = (screen.height - height) / 2
		winPopup = window.open(URL, "", "left=" + left + ",top=" + top + ",height=" + height + ",width=" + width + ",scrollbars=1,directories=0,location=0,menubar=0,resizable=1,status=0,titlebar=0,toolbar=0");
	}
}

function syncItems() {
	var checkedCategories = getCheckedCategories();
	
	if (checkedCategories == "") {
		alert("No categories are selected");
	}
	else {
		var URL = "cb_sync_items_options.php?categories=" + checkedCategories;
		var width = 700;
		var height = 450;
		var left = (screen.width - width) / 2
		var top = (screen.height - height) / 2
		winPopup = window.open(URL, "", "left=" + left + ",top=" + top + ",height=" + height + ",width=" + width + ",scrollbars=1,directories=0,location=0,menubar=0,resizable=1,status=0,titlebar=0,toolbar=0");
	}
}

function getCheckedCategories() {
	var checkedCategories = "";
	var len = document.frmTree.length;
	
	for (i = 0; i < len; i++) {
		obj = document.frmTree[i];
		if (obj.name == "checkbox[]" && obj.checked) {
			if (checkedCategories != "") {
				checkedCategories += ",";
			}
			checkedCategories += obj.value.split(",")[0];
		}
	}

	return checkedCategories;
}

function getCheckedItems() {
	var checkedItems = "";
	
	if (!document.frmItems.chkItem.length) {
		if (document.frmItems.chkItem.checked) {
			checkedItems = document.frmItems.chkItem.value;
		}
	}
	else {
		for (i = 0; i < document.frmItems.chkItem.length; i++) {
			if (document.frmItems.chkItem[i].checked) {
				if (checkedItems != "") {
					checkedItems += ",";
				}
				checkedItems += document.frmItems.chkItem[i].value;
			}
		}
	}
	return checkedItems;
}

function exportItems() {
	var checkedItems = getCheckedItems();
	
	if (checkedItems == "") {
		alert("No products are selected!");
	}
	else {
		var URL = "export_items.php?items=" + checkedItems;
		var width = 700;
		var height = 450;
		var left = (screen.width - width) / 2
		var top = (screen.height - height) / 2
		winPopup = window.open(URL, "", "left=" + left + ",top=" + top + ",height=" + height + ",width=" + width + ",scrollbars=1,directories=0,location=0,menubar=0,resizable=1,status=0,titlebar=0,toolbar=0");
	}
}

function exportItemsBatch() {
	var URL = "export_items_batch.php";
	var width = 700;
	var height = 450;
	var left = (screen.width - width) / 2
	var top = (screen.height - height) / 2
	winPopup = window.open(URL, "", "left=" + left + ",top=" + top + ",height=" + height + ",width=" + width + ",scrollbars=1,directories=0,location=0,menubar=0,resizable=1,status=0,titlebar=0,toolbar=0");
}

function selectAll() {
	var len = document.frmTree.length;
	var checked = document.frmTree.chkSelectAll.checked;

	for (i = 0; i < len; i++) {
		obj = document.frmTree[i];
		if (obj.name == "checkbox[]") {
			obj.checked = checked;
		}
	}
}

function selectBranch(chk) {
	var len = document.frmTree.length;
	if (document.frmTree.chkSelectBranch.checked) {	
		for (i = 0; i < len; i++) {
			obj = document.frmTree[i];
			if (obj.name == "checkbox[]" && obj.value.split(",")[1] == chk.value.split(",")[0]) {
				obj.checked = chk.checked;
			}
		}
	}
}

function prevPage() {
	document.frmItems.hdPageNum.value = new Number(document.frmItems.hdPageNum.value) - 1;
	document.frmItems.submit();
}

function nextPage() {
	document.frmItems.hdPageNum.value = new Number(document.frmItems.hdPageNum.value) + 1;
	document.frmItems.submit();
}

function goItems() {
	document.frmItems.hdPageNum.value = 0;
	document.frmItems.submit();
}

function selectAllProducts() {
	var len = document.frmItems.length;
	var checked = document.frmItems.chkSelectAllItems.checked;

	if (document.frmItems.chkItem.length) {
		for (i = 0; i < document.frmItems.chkItem.length; i++) {
			if (!document.frmItems.chkItem[i].disabled) {
				document.frmItems.chkItem[i].checked = checked;
			}
		}
	}
	else {
		if (!document.frmItems.chkItem.disabled) {
			document.frmItems.chkItem.checked = checked;
		}
	}
}