// JavaScript Document
function getCheckedItems() {
	var checkedItems = "";
	
	if (!document.frmItems.chkItem) {
		return "";
	}
	
	if (!document.frmItems.chkItem.length) {
		if (document.frmItems.chkItem.checked) {
			checkedItems = document.frmItems.chkItem.value;
		}
	}
	else {
		for (i = 0; i < document.frmItems.chkItem.length; i++) {
			if (document.frmItems.chkItem[i].checked) {
				if (checkedItems != "") {
					checkedItems += ",";
				}
				checkedItems += document.frmItems.chkItem[i].value;
			}
		}
	}
	return checkedItems;
}

function getCheckedCategories() {
	var checkedCategories = "";
	var len = document.frmItems.length;

	for (i = 0; i < len; i++) {
		obj = document.frmItems[i];
		if (obj.name == "checkbox[]" && obj.checked) {
			if (checkedCategories != "") {
				checkedCategories += ",";
			}
			checkedCategories += obj.value.split(",")[0];
		}
	}
	return checkedCategories;

		
}

function checkForm() {
	if(document.frmItems.txtKeywords.value=="")
	{
		alert ("Please enter some keywords.");
		return false;		
	}
	else
	{
		var checkedCategories = getCheckedCategories();
		
		if (checkedCategories == "") {
			alert("No categories are selected");
			return false;
		}
		
		return true;
	}
}

function exportItems() {
	var checkedItems = getCheckedItems();
	
	if (checkedItems == "") {
		alert("No products are selected!");
	}
	else {
		if (document.frmItems.chkSameCategorization1.checked) {
			document.location = "export_items_same_cat.php?items=" + checkedItems + "&categories=" + document.frmItems.hdCategories.value;
		}
		else {
			var URL = "export_items.php?items=" + checkedItems;
			var width = 700;
			var height = 450;
			var left = (screen.width - width) / 2;
			var top = (screen.height - height) / 2;
			winPopup = window.open(URL, "", "left=" + left + ",top=" + top + ",height=" + height + ",width=" + width + ",scrollbars=1,directories=0,location=0,menubar=0,resizable=1,status=0,titlebar=0,toolbar=0");
		}
	}
}

function exportCategories() {
	var checkedCategories = getCheckedCategories();
	
	if (checkedCategories == "") {
		alert("No categories are selected!");
	}
	else {
		if (document.frmItems.chkSameCategorization1.checked) {
			document.location = "export_items_same_cat.php?categories=" + checkedCategories;
		}
		else {
			var URL = "export_items.php?categories=" + checkedCategories;
			var width = 700;
			var height = 450;
			var left = (screen.width - width) / 2;
			var top = (screen.height - height) / 2;
			winPopup = window.open(URL, "", "left=" + left + ",top=" + top + ",height=" + height + ",width=" + width + ",scrollbars=1,directories=0,location=0,menubar=0,resizable=1,status=0,titlebar=0,toolbar=0");
		}
	}
}

function selectCategories(categories) {
	categories = "," + categories + ",";
	var len = document.frmItems.length;

	for (i = 0; i < len; i++) {
		obj = document.frmItems[i];
		if (obj.name == "checkbox[]" && categories.search("," + obj.value + ",") != -1) {
			obj.checked = true;
		}
	}
}

function selectAll() {
	var len = document.frmItems.length;
	var checked = document.frmItems.chkSelectAll.checked;

	for (i = 0; i < len; i++) {
		obj = document.frmItems[i];
		if (obj.name == "checkbox[]") {
			obj.checked = checked;
		}
	}
}

function selectAllProducts() {
	var len = document.frmItems.length;
	var checked = document.frmItems.chkSelectAllItems.checked;

	for (i = 0; i < len; i++) {
		obj = document.frmItems[i];
		if (obj.name.search("chkItem") == 0) {
			if (!obj.disabled) {
				obj.checked = checked;
			}
		}
	}
}

function selectBranch(chk) {
	var len = document.frmItems.length;
	if (document.frmItems.chkSelectBranch.checked) {	
		for (i = 0; i < len; i++) {
			obj = document.frmItems[i];
			if (obj.name == "checkbox[]" && obj.value.split(",")[1] == chk.value.split(",")[0]) {
				obj.checked = chk.checked;
			}
		}
	}
}

function prevPage() {
	if (checkForm()) {
		document.frmItems.hdPageNum.value = new Number(document.frmItems.hdPageNum.value) - 1;
		document.frmItems.submit();
	}
}

function nextPage() {
	if (checkForm()) {
		document.frmItems.hdPageNum.value = new Number(document.frmItems.hdPageNum.value) + 1;
		document.frmItems.submit();
	}
}
function goItems() {
	document.frmItems.hdPageNum.value = 0;
	document.frmItems.submit();
}