// JavaScript Document
var winPopup;

function checkForm() {
	if (document.frmCategory.txtDescription.value == "") {
		alert("Please enter description");
		document.frmCategory.txtDescription.focus();
		return false;
	}
	return true;
}

function getCheckedItems() {
	var checkedItems = "";
	
	if (!document.frmItems.chkItem.length) {
		if (document.frmItems.chkItem.checked) {
			checkedItems = document.frmItems.chkItem.value;
		}
	}
	else {
		for (i = 0; i < document.frmItems.chkItem.length; i++) {
			if (document.frmItems.chkItem[i].checked) {
				if (checkedItems != "") {
					checkedItems += ",";
				}
				checkedItems += document.frmItems.chkItem[i].value;
			}
		}
	}
	return checkedItems;
}

function addSubcategory(categoryId) {
	document.location = "manager.php?categoryId=" + categoryId + "&new=1";
}



function moveToCategory(categoryId) {
	var URL = "moveto_category.php?categoryId=" + categoryId;
	var width = 700;
	var height = 450;
	var left = (screen.width - width) / 2
	var top = (screen.height - height) / 2
	winPopup = window.open(URL, "", "left=" + left + ",top=" + top + ",height=" + height + ",width=" + width + ",scrollbars=1,directories=0,location=0,menubar=0,resizable=1,status=0,titlebar=0,toolbar=0");
}

function saveCategory(categoryId, newSub) {
	if (checkForm()) {
		document.frmCategory.action = "process_category_pr.php";
		document.frmCategory.submit();
	}
}

function deleteCategory(categoryId) {
	if (confirm("Deleting this category will cause the deletion of all subcategories in addition to\nall products that are related solely to this category as well as any of its sub categories!\n\nAre you sure you want to proceed by deleting this category?")) {
		document.frmCategory.action = "delete_category_pr.php";
		document.frmCategory.submit();
	}
}

function copyOrMove(categoryId, mode) {
	var checkedItems = getCheckedItems();
	
	if (checkedItems == "") {
		alert("No products are selected!");
	}
	else {
		var URL = "move_or_copy_items.php?categoryId=" + categoryId + "&items=" + checkedItems + "&mode=" + mode;
		var width = 700;
		var height = 450;
		var left = (screen.width - width) / 2
		var top = (screen.height - height) / 2
		winPopup = window.open(URL, "", "left=" + left + ",top=" + top + ",height=" + height + ",width=" + width + ",scrollbars=1,directories=0,location=0,menubar=0,resizable=1,status=0,titlebar=0,toolbar=0");
	}
}

function moveTo(categoryId) {
	copyOrMove(categoryId, 1);
}

function copyTo(categoryId) {
	copyOrMove(categoryId, 2);
}

function addNewItem(categoryId) {
	var URL = "add_edit_item.php?categoryId=" + categoryId;
	var width = 700;
	var height = 450;
	var left = (screen.width - width) / 2
	var top = (screen.height - height) / 2
	winPopup = window.open(URL, "", "left=" + left + ",top=" + top + ",height=" + height + ",width=" + width + ",scrollbars=1,directories=0,location=0,menubar=0,resizable=1,status=0,titlebar=0,toolbar=0");
}

function addExistingItem() {
	var URL = "add_existing_item.php";
	var width = 700;
	var height = 450;
	var left = (screen.width - width) / 2
	var top = (screen.height - height) / 2
	winPopup = window.open(URL, "", "left=" + left + ",top=" + top + ",height=" + height + ",width=" + width + ",scrollbars=1,directories=0,location=0,menubar=0,resizable=1,status=0,titlebar=0,toolbar=0");
}
/*
function addExistingItem(categoryId) {
	var URL = "add_existing_item.php?categoryId=" + categoryId;
	var width = 700;
	var height = 450;
	var left = (screen.width - width) / 2
	var top = (screen.height - height) / 2
	winPopup = window.open(URL, "", "left=" + left + ",top=" + top + ",height=" + height + ",width=" + width + ",scrollbars=1,directories=0,location=0,menubar=0,resizable=1,status=0,titlebar=0,toolbar=0");
}*/

function editItem(categoryId, itemId) {
	var URL = "add_edit_item.php?categoryId=" + categoryId + "&itemId=" + itemId;
	var width = 700;
	var height = 450;
	var left = (screen.width - width) / 2
	var top = (screen.height - height) / 2
	winPopup = window.open(URL, "", "left=" + left + ",top=" + top + ",height=" + height + ",width=" + width + ",scrollbars=1,directories=0,location=0,menubar=0,resizable=1,status=0,titlebar=0,toolbar=0");
}
function editAllItem(categoryId) {
	var URL = "all_edit_item.php?categoryId=" + categoryId;
	var width = 700;
	var height = 450;
	var left = (screen.width - width) / 2
	var top = (screen.height - height) / 2
	winPopup = window.open(URL, "", "left=" + left + ",top=" + top + ",height=" + height + ",width=" + width + ",scrollbars=1,directories=0,location=0,menubar=0,resizable=1,status=0,titlebar=0,toolbar=0");
}
function editDispItem(categoryId,numRec) {
	
	var URL = "all_edit_item.php?categoryId=" + categoryId + "&numRec=" + numRec;
	var width = 700;
	var height = 450;
	var left = (screen.width - width) / 2
	var top = (screen.height - height) / 2
	winPopup = window.open(URL, "", "left=" + left + ",top=" + top + ",height=" + height + ",width=" + width + ",scrollbars=1,directories=0,location=0,menubar=0,resizable=1,status=0,titlebar=0,toolbar=0");
}
function removeOrDeleteItems(categoryId, mode) {
	var checkedItems = getCheckedItems();
	
	if (checkedItems == "") {
		alert("No products are selected!");
	}
	else {
		if (confirm(
			mode == 1 ?
				"Are you sure you want to remove the checked products from this category?" :
				"Are you sure you want to delete the checked products from all categories?")) {
			document.location = "delete_items_pr.php?categoryId=" + categoryId + "&items=" + checkedItems + "&mode=" + mode;
		}
	}
}

function removeItems(categoryId) {
	removeOrDeleteItems(categoryId, 1);
}

function deleteItems(categoryId) {
	removeOrDeleteItems(categoryId, 2);
}

function addSubCategories(categoryId) {
	var URL = "add_subcategories.php?categoryId=" + categoryId;
	var width = 700;
	var height = 450;
	var left = (screen.width - width) / 2
	var top = (screen.height - height) / 2
	winPopup = window.open(URL, "", "left=" + left + ",top=" + top + ",height=" + height + ",width=" + width + ",scrollbars=1,directories=0,location=0,menubar=0,resizable=1,status=0,titlebar=0,toolbar=0");
}

function prevPage() {
	document.frmItems.hdPageNum.value = new Number(document.frmItems.hdPageNum.value) - 1;
	document.frmItems.submit();
}

function nextPage() {
	document.frmItems.hdPageNum.value = new Number(document.frmItems.hdPageNum.value) + 1;
	document.frmItems.submit();
}

function goItems() {
	document.frmItems.hdPageNum.value = 0;
	document.frmItems.submit();
}

function selectAllProducts() {
	var len = document.frmItems.length;
	var checked = document.frmItems.chkSelectAllItems.checked;

	if (document.frmItems.chkItem.length) {
		for (i = 0; i < document.frmItems.chkItem.length; i++) {
			document.frmItems.chkItem[i].checked = checked;
		}
	}
	else {
		document.frmItems.chkItem.checked = checked;
	}
}